View Issue Details

IDProjectCategoryView StatusLast Update
0004225PartDesignBugpublic2020-01-08 16:31
ReporterDoom-fr Assigned Towmayer  
PriorityhighSeveritycrashReproducibilityalways
Status closedResolutionreopened 
Product Version0.19 
Fixed in Version0.19 
Summary0004225: FreeCAD crash when making draft in PartDesign
DescriptionWhen I select a face of my design and click on draft, FreeCAD crashes.
It is systematic on this file and this kind of problem occurs often.

EDIT(openBrain) : Problem seems to exist only with AppImage version



Steps To ReproduceStep to reproduce :
1. open the file
2. go to Part Design
3. select the face (see attached picture to know which one)
4. click on draft icon => it crashes immediately
Tagsappimage
FreeCAD InformationOS: Ubuntu 18.04.3 LTS (ubuntu:GNOME/ubuntu)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.18846 (Git) AppImage
Build type: Release
Branch: master
Hash: ceeb776fff25c679752571d5d8e6c4c8b1fd9008
Python version: 3.7.3
Qt version: 5.12.5
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/United States (en_US)

Activities

Doom-fr

2019-12-15 18:18

reporter  

Bug draft freecad - console.txt (8,267 bytes)   
./FreeCAD_0.19-18846-Linux-Conda_Py3Qt5_glibc2.12-x86_64.AppImage -l
/tmp/.mount_FreeCAszTY5r
FreeCAD 0.19, Libs: 0.19R18846 (Git)
© Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2019
  #####                 ####  ###   ####  
  #                    #      # #   #   # 
  #     ##  #### ####  #     #   #  #   # 
  ####  # # #  # #  #  #     #####  #   # 
  #     #   #### ####  #    #     # #   # 
  #     #   #    #     #    #     # #   #  ##  ##  ##
  #     #   #### ####   ### #     # ####   ##  ##  ##

connect failed: No such file or directory
Program received signal SIGSEGV, Segmentation fault.
#0  /lib/x86_64-linux-gnu/libc.so.6(+0x3ef20) [0x7f8a713aaf20]
#1  0x7f8a557bd95f in PartDesign::Draft::execute() from /tmp/.mount_FreeCAszTY5r/usr/lib/_PartDesign.so+0x167f
#2  0x7f8a7314e23e in App::DocumentObject::recompute() from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libFreeCADApp.so+0x9e
#3  0x7f8a2817ac4c in Part::Feature::recompute() from /tmp/.mount_FreeCAszTY5r/usr/lib/./Part.so+0xc
#4  0x7f8a730eccfd in App::Document::_recomputeFeature(App::DocumentObject*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libFreeCADApp.so+0x2fd
#5  0x7f8a7314185c in App::Document::recompute(std::vector<App::DocumentObject*, std::allocator<App::DocumentObject*> > const&, bool, bool*, int) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libFreeCADApp.so+0x60c
#6  0x7f8a73199cc2 in App::DocumentPy::recompute(_object*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libFreeCADApp.so+0x382
#7  0x7f8a7319a144 in App::DocumentPy::staticCallback_recompute(_object*, _object*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libFreeCADApp.so+0x24
#8  /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libpython3.7m.so.1.0(_PyMethodDef_RawFastCallKeywords+0x104) [0x7f8a73524034]
#9  /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libpython3.7m.so.1.0(_PyCFunction_FastCallKeywords+0x26) [0x7f8a73524ba6]
#10  /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libpython3.7m.so.1.0(+0x6f3df) [0x7f8a734763df]
#11  /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0x710a) [0x7f8a7347410a]
#12  /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libpython3.7m.so.1.0(_PyEval_EvalCodeWithName+0xac4) [0x7f8a7362f284]
#13  /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libpython3.7m.so.1.0(PyEval_EvalCodeEx+0x3f) [0x7f8a7362f36f]
#14  /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libpython3.7m.so.1.0(PyEval_EvalCode+0x1c) [0x7f8a734feabc]
#15  /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libpython3.7m.so.1.0(PyRun_StringFlags+0x94) [0x7f8a7354f1b4]
#16  0x7f8a7475f43a in Base::InterpreterSingleton::runString[abi:cxx11](char const*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libFreeCADBase.so+0x6a
#17  0x7f8a73b8e168 in Gui::Command::_runCommand(char const*, int, Gui::Command::DoCmd_Type, char const*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libFreeCADGui.so+0x98
#18  0x7f8a73b8e352 in Gui::Command::_doCommand(char const*, int, Gui::Command::DoCmd_Type, char const*, ...) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libFreeCADGui.so+0x102
#19  0x7f8a73b8e9f4 in Gui::Command::updateActive() from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libFreeCADGui.so+0x44
#20  0x7f89e8f89d76 in finishFeature(Gui::Command const*, App::DocumentObject*, App::DocumentObject*, bool, bool) from /tmp/.mount_FreeCAszTY5r/usr/lib/PartDesignGui.so+0x2d6
#21  0x7f89e8f8a8ed in finishDressupFeature(Gui::Command const*, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, Part::Feature*, std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > > const&) from /tmp/.mount_FreeCAszTY5r/usr/lib/PartDesignGui.so+0x4fd
#22  0x7f89e8f95ca5 in CmdPartDesignDraft::activated(int) from /tmp/.mount_FreeCAszTY5r/usr/lib/PartDesignGui.so+0x375
#23  0x7f8a73b97271 in Gui::Command::invoke(int, Gui::Command::TriggerSource) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libFreeCADGui.so+0x321
#24  0x7f8a71acd7b8 in QMetaObject::activate(QObject*, int, int, void**) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Core.so.5+0x780
#25  0x7f8a722db96e in QAction::triggered(bool) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Widgets.so.5+0x32
#26  0x7f8a722dd239 in QAction::activate(QAction::ActionEvent) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Widgets.so.5+0xcb
#27  /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Widgets.so.5(+0x20e128) [0x7f8a7237a128]
#28  0x7f8a7237a1e8 in QAbstractButton::mouseReleaseEvent(QMouseEvent*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Widgets.so.5+0x88
#29  0x7f8a72410ffa in QToolButton::mouseReleaseEvent(QMouseEvent*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Widgets.so.5+0xa
#30  0x7f8a7230bc3e in QWidget::event(QEvent*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Widgets.so.5+0xce
#31  0x7f8a72411091 in QToolButton::event(QEvent*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Widgets.so.5+0x4f
#32  0x7f8a722e082a in QApplicationPrivate::notify_helper(QObject*, QEvent*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Widgets.so.5+0xde
#33  0x7f8a722e5095 in QApplication::notify(QObject*, QEvent*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Widgets.so.5+0x79d
#34  0x7f8a73b5d9e9 in Gui::GUIApplication::notify(QObject*, QEvent*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libFreeCADGui.so+0x89
#35  0x7f8a71ab7186 in QCoreApplication::notifyInternal2(QObject*, QEvent*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Core.so.5+0x88
#36  0x7f8a722e453f in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool, bool) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Widgets.so.5+0x283
#37  /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Widgets.so.5(+0x1af554) [0x7f8a7231b554]
#38  /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Widgets.so.5(+0x1b03a6) [0x7f8a7231c3a6]
#39  0x7f8a722e082a in QApplicationPrivate::notify_helper(QObject*, QEvent*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Widgets.so.5+0xde
#40  0x7f8a722e63f1 in QApplication::notify(QObject*, QEvent*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Widgets.so.5+0x1af9
#41  0x7f8a73b5d9e9 in Gui::GUIApplication::notify(QObject*, QEvent*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libFreeCADGui.so+0x89
#42  0x7f8a71ab7186 in QCoreApplication::notifyInternal2(QObject*, QEvent*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Core.so.5+0x88
#43  0x7f8a71e5d40b in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Gui.so.5+0x6d3
#44  0x7f8a71e5dff7 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Gui.so.5+0x175
#45  0x7f8a71e4add4 in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Gui.so.5+0x64
#46  /tmp/.mount_FreeCAszTY5r/usr/plugins/platforms/../../lib/libQt5XcbQpa.so.5(+0x5af0e) [0x7f8a6b7def0e]
#47  /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/./libglib-2.0.so.0(g_main_context_dispatch+0x2e8) [0x7f8a6dd109d8]
#48  /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/./libglib-2.0.so.0(+0x51c21) [0x7f8a6dd10c21]
#49  /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/./libglib-2.0.so.0(g_main_context_iteration+0x2e) [0x7f8a6dd10cae]
#50  0x7f8a71ae642b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Core.so.5+0x63
#51  0x7f8a71ab3bc1 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Core.so.5+0x187
#52  0x7f8a71ab7a39 in QCoreApplication::exec() from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Core.so.5+0x105
#53  0x7f8a73ade6c0 in Gui::Application::runApplication() from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libFreeCADGui.so+0x15b0
#54  /tmp/.mount_FreeCAszTY5r/usr/bin/freecad(main+0x74d) [0x555c17b717cd]
#55  /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xe7) [0x7f8a7138db97]
#56  /tmp/.mount_FreeCAszTY5r/usr/bin/freecad(+0x451f) [0x555c17b7251f]
FreeCAD.log (18,437 bytes)   
Msg: FreeCAD 0.19, Libs: 0.19R18846 (Git)
© Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2019
  #####                 ####  ###   ####  
  #                    #      # #   #   # 
  #     ##  #### ####  #     #   #  #   # 
  ####  # # #  # #  #  #     #####  #   # 
  #     #   #### ####  #    #     # #   # 
  #     #   #    #     #    #     # #   #  ##  ##  ##
  #     #   #### ####   ### #     # ####   ##  ##  ##

Log: Time = Sun Dec 15 19:08:48 2019
Log: AppDataSkipVendor = true
Log: AppHomePath = /tmp/.mount_FreeCAszTY5r/usr/
Log: AppIcon = freecad
Log: AppTempPath = /tmp/
Log: BinPath = /tmp/.mount_FreeCAszTY5r/usr/bin/
Log: BuildRepositoryURL = /home/conda/feedstock_root/build_artifacts/git_cache/github.com/FreeCAD/FreeCAD master
Log: BuildRevision = 18846 (Git)
Log: BuildRevisionBranch = master
Log: BuildRevisionDate = 2019/12/07 20:44:48
Log: BuildRevisionHash = ceeb776fff25c679752571d5d8e6c4c8b1fd9008
Log: BuildVersionMajor = 0
Log: BuildVersionMinor = 19
Log: Console = 0
Log: CopyrightInfo = © Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2019
  #####                 ####  ###   ####  
  #                    #      # #   #   # 
  #     ##  #### ####  #     #   #  #   # 
  ####  # # #  # #  #  #     #####  #   # 
  #     #   #### ####  #    #     # #   # 
  #     #   #    #     #    #     # #   #  ##  ##  ##
  #     #   #### ####   ### #     # ####   ##  ##  ##


Log: Debug = 0
Log: DocPath = /tmp/.mount_FreeCAszTY5r/usr/doc/
Log: ExeName = FreeCAD
Log: ExeVendor = FreeCAD
Log: ExeVersion = 0.19
Log: LoggingConsole = 1
Log: LoggingFile = 1
Log: LoggingFileName = /home/doom/.FreeCAD/FreeCAD.log
Log: MaintainerUrl = http://www.freecadweb.org/wiki/Main_Page
Log: PATH = /home/doom/.local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin
Log: PYTHONHOME = /tmp/.mount_FreeCAszTY5r/usr
Log: PYTHONPATH = 
Log: PythonSearchPath = /tmp/.mount_FreeCAszTY5r/usr/lib/python37.zip:/tmp/.mount_FreeCAszTY5r/usr/lib/python3.7:/tmp/.mount_FreeCAszTY5r/usr/lib/python3.7/lib-dynload
Log: RunMode = Gui
Log: SplashAlignment = Bottom|Left
Log: SplashInfoColor = #c8c8c8
Log: SplashScreen = freecadsplash
Log: SplashTextColor = #ffffff
Log: StartWorkbench = StartWorkbench
Log: SystemParameter = /home/doom/.FreeCAD/system.cfg
Log: UserAppData = /home/doom/.FreeCAD/
Log: UserHomePath = /home/doom
Log: UserParameter = /home/doom/.FreeCAD/user.cfg
Log: Verbose = 
Log: Create Application
Log: Run App init script
Log: Init: starting App::FreeCADInit.py
Log: Init:   Searching for modules...
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/AddonManager... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Arch... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Complete... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Draft... done
Log: Drawing became obsolete in 0.17; consider using TechDraw instead.
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Drawing... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Fem... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Idf... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Image... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Import... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Inspection... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Material... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Measure... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Mesh... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/MeshPart... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/OpenSCAD... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Part... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/PartDesign... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Path... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Points... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Raytracing... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/ReverseEngineering... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Robot... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Show(Init.py not found)... ignore
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Sketcher... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Spreadsheet... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Start... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Surface... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/TechDraw... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Test... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Tux(Init.py not found)... ignore
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Web... done
Log: Using /tmp/.mount_FreeCAszTY5r/usr/Mod as module path!
Log: System path after init:
Log:    /tmp/.mount_FreeCAszTY5r/usr/bin
Log:    /tmp/.mount_FreeCAszTY5r/usr/Mod/AddonManager
Log:    /tmp/.mount_FreeCAszTY5r/usr/Mod/Arch
Log:    /tmp/.mount_FreeCAszTY5r/usr/Mod/Complete
Log:    /tmp/.mount_FreeCAszTY5r/usr/Mod/Draft
Log:    /tmp/.mount_FreeCAszTY5r/usr/Mod/Drawing
Log:    /tmp/.mount_FreeCAszTY5r/usr/Mod/Fem
Log:    /tmp/.mount_FreeCAszTY5r/usr/Mod/Idf
Log:    /tmp/.mount_FreeCAszTY5r/usr/Mod/Image
Log:    /tmp/.mount_FreeCAszTY5r/usr/Mod/Import
Log:    /tmp/.mount_FreeCAszTY5r/usr/Mod/Inspection
Log:    /tmp/.mount_FreeCAszTY5r/usr/Mod/Material
Log:    /tmp/.mount_FreeCAszTY5r/usr/Mod/Measure
Log:    /tmp/.mount_FreeCAszTY5r/usr/Mod/Mesh
Log:    /tmp/.mount_FreeCAszTY5r/usr/Mod/MeshPart
Log:    /tmp/.mount_FreeCAszTY5r/usr/Mod/OpenSCAD
Log:    /tmp/.mount_FreeCAszTY5r/usr/Mod/Part
Log:    /tmp/.mount_FreeCAszTY5r/usr/Mod/PartDesign
Log:    /tmp/.mount_FreeCAszTY5r/usr/Mod/Path
Log:    /tmp/.mount_FreeCAszTY5r/usr/Mod/Points
Log:    /tmp/.mount_FreeCAszTY5r/usr/Mod/Raytracing
Log:    /tmp/.mount_FreeCAszTY5r/usr/Mod/ReverseEngineering
Log:    /tmp/.mount_FreeCAszTY5r/usr/Mod/Robot
Log:    /tmp/.mount_FreeCAszTY5r/usr/Mod/Show
Log:    /tmp/.mount_FreeCAszTY5r/usr/Mod/Sketcher
Log:    /tmp/.mount_FreeCAszTY5r/usr/Mod/Spreadsheet
Log:    /tmp/.mount_FreeCAszTY5r/usr/Mod/Start
Log:    /tmp/.mount_FreeCAszTY5r/usr/Mod/Surface
Log:    /tmp/.mount_FreeCAszTY5r/usr/Mod/TechDraw
Log:    /tmp/.mount_FreeCAszTY5r/usr/Mod/Test
Log:    /tmp/.mount_FreeCAszTY5r/usr/Mod/Tux
Log:    /tmp/.mount_FreeCAszTY5r/usr/Mod/Web
Log:    /home/doom/.local/bin
Log:    /usr/local/sbin
Log:    /usr/local/bin
Log:    /usr/sbin
Log:    /usr/bin
Log:    /sbin
Log:    /bin
Log:    /usr/games
Log:    /usr/local/games
Log:    /snap/bin
Log: Init: App::FreeCADInit.py done
Log: Init: Creating Gui::Application and QApplication
Log: Local server 'FreeCAD' started
Log: OpenGL version is: 3.0 (3.0 Mesa 19.0.8)
Log: Run Gui init script
Log: Init: Running FreeCADGuiInit.py start script...
Log: Init:   Searching modules...
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/AddonManager... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Arch... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Complete... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Draft... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Drawing... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Fem... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Idf(InitGui.py not found)... ignore
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Image... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Import... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Inspection... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Material... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Measure(InitGui.py not found)... ignore
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Mesh... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/MeshPart... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/OpenSCAD... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Part... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/PartDesign... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Path... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Points... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Raytracing... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/ReverseEngineering... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Robot... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Show(InitGui.py not found)... ignore
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Sketcher... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Spreadsheet... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Start... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Surface... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/TechDraw... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Test... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Tux... done
Log: Init:      Initializing /tmp/.mount_FreeCAszTY5r/usr/Mod/Web... done
Log: Init: Loading FreeCAD GUI
Log: Init: Running FreeCADGuiInit.py start script... done
Log: Init: Activating default workbench StartWorkbench
Log: Loading GUI of Web module... done
Log: Loading GUI of Start module... done
Log: Loading Start module... done
Log: Init: Showing main window
Log: Main window restored
Log: Show main window
Log: Toolbars restored
Log: Couldn't connect to spacenav daemon
Log: Init: Entering event loop
Log: Init: Processing command line files
Log: Module: Part
Log: Loading Part module... done
Log: Loading Sketcher module... done
Log: Loading PartDesign module... done
Log: Loading GUI of Part module... done
Log: Loading GUI of Sketcher module... done
Log: Loading GUI of PartDesign module... done
Err: Program received signal SIGSEGV, Segmentation fault.
Err: #0  /lib/x86_64-linux-gnu/libc.so.6(+0x3ef20) [0x7f8a713aaf20]
Err: #1  0x7f8a557bd95f in PartDesign::Draft::execute() from /tmp/.mount_FreeCAszTY5r/usr/lib/_PartDesign.so+0x167f
Err: #2  0x7f8a7314e23e in App::DocumentObject::recompute() from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libFreeCADApp.so+0x9e
Err: #3  0x7f8a2817ac4c in Part::Feature::recompute() from /tmp/.mount_FreeCAszTY5r/usr/lib/./Part.so+0xc
Err: #4  0x7f8a730eccfd in App::Document::_recomputeFeature(App::DocumentObject*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libFreeCADApp.so+0x2fd
Err: #5  0x7f8a7314185c in App::Document::recompute(std::vector<App::DocumentObject*, std::allocator<App::DocumentObject*> > const&, bool, bool*, int) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libFreeCADApp.so+0x60c
Err: #6  0x7f8a73199cc2 in App::DocumentPy::recompute(_object*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libFreeCADApp.so+0x382
Err: #7  0x7f8a7319a144 in App::DocumentPy::staticCallback_recompute(_object*, _object*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libFreeCADApp.so+0x24
Err: #8  /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libpython3.7m.so.1.0(_PyMethodDef_RawFastCallKeywords+0x104) [0x7f8a73524034]
Err: #9  /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libpython3.7m.so.1.0(_PyCFunction_FastCallKeywords+0x26) [0x7f8a73524ba6]
Err: #10  /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libpython3.7m.so.1.0(+0x6f3df) [0x7f8a734763df]
Err: #11  /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0x710a) [0x7f8a7347410a]
Err: #12  /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libpython3.7m.so.1.0(_PyEval_EvalCodeWithName+0xac4) [0x7f8a7362f284]
Err: #13  /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libpython3.7m.so.1.0(PyEval_EvalCodeEx+0x3f) [0x7f8a7362f36f]
Err: #14  /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libpython3.7m.so.1.0(PyEval_EvalCode+0x1c) [0x7f8a734feabc]
Err: #15  /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libpython3.7m.so.1.0(PyRun_StringFlags+0x94) [0x7f8a7354f1b4]
Err: #16  0x7f8a7475f43a in Base::InterpreterSingleton::runString[abi:cxx11](char const*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libFreeCADBase.so+0x6a
Err: #17  0x7f8a73b8e168 in Gui::Command::_runCommand(char const*, int, Gui::Command::DoCmd_Type, char const*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libFreeCADGui.so+0x98
Err: #18  0x7f8a73b8e352 in Gui::Command::_doCommand(char const*, int, Gui::Command::DoCmd_Type, char const*, ...) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libFreeCADGui.so+0x102
Err: #19  0x7f8a73b8e9f4 in Gui::Command::updateActive() from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libFreeCADGui.so+0x44
Err: #20  0x7f89e8f89d76 in finishFeature(Gui::Command const*, App::DocumentObject*, App::DocumentObject*, bool, bool) from /tmp/.mount_FreeCAszTY5r/usr/lib/PartDesignGui.so+0x2d6
Err: #21  0x7f89e8f8a8ed in finishDressupFeature(Gui::Command const*, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, Part::Feature*, std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > > const&) from /tmp/.mount_FreeCAszTY5r/usr/lib/PartDesignGui.so+0x4fd
Err: #22  0x7f89e8f95ca5 in CmdPartDesignDraft::activated(int) from /tmp/.mount_FreeCAszTY5r/usr/lib/PartDesignGui.so+0x375
Err: #23  0x7f8a73b97271 in Gui::Command::invoke(int, Gui::Command::TriggerSource) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libFreeCADGui.so+0x321
Err: #24  0x7f8a71acd7b8 in QMetaObject::activate(QObject*, int, int, void**) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Core.so.5+0x780
Err: #25  0x7f8a722db96e in QAction::triggered(bool) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Widgets.so.5+0x32
Err: #26  0x7f8a722dd239 in QAction::activate(QAction::ActionEvent) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Widgets.so.5+0xcb
Err: #27  /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Widgets.so.5(+0x20e128) [0x7f8a7237a128]
Err: #28  0x7f8a7237a1e8 in QAbstractButton::mouseReleaseEvent(QMouseEvent*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Widgets.so.5+0x88
Err: #29  0x7f8a72410ffa in QToolButton::mouseReleaseEvent(QMouseEvent*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Widgets.so.5+0xa
Err: #30  0x7f8a7230bc3e in QWidget::event(QEvent*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Widgets.so.5+0xce
Err: #31  0x7f8a72411091 in QToolButton::event(QEvent*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Widgets.so.5+0x4f
Err: #32  0x7f8a722e082a in QApplicationPrivate::notify_helper(QObject*, QEvent*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Widgets.so.5+0xde
Err: #33  0x7f8a722e5095 in QApplication::notify(QObject*, QEvent*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Widgets.so.5+0x79d
Err: #34  0x7f8a73b5d9e9 in Gui::GUIApplication::notify(QObject*, QEvent*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libFreeCADGui.so+0x89
Err: #35  0x7f8a71ab7186 in QCoreApplication::notifyInternal2(QObject*, QEvent*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Core.so.5+0x88
Err: #36  0x7f8a722e453f in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool, bool) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Widgets.so.5+0x283
Err: #37  /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Widgets.so.5(+0x1af554) [0x7f8a7231b554]
Err: #38  /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Widgets.so.5(+0x1b03a6) [0x7f8a7231c3a6]
Err: #39  0x7f8a722e082a in QApplicationPrivate::notify_helper(QObject*, QEvent*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Widgets.so.5+0xde
Err: #40  0x7f8a722e63f1 in QApplication::notify(QObject*, QEvent*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Widgets.so.5+0x1af9
Err: #41  0x7f8a73b5d9e9 in Gui::GUIApplication::notify(QObject*, QEvent*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libFreeCADGui.so+0x89
Err: #42  0x7f8a71ab7186 in QCoreApplication::notifyInternal2(QObject*, QEvent*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Core.so.5+0x88
Err: #43  0x7f8a71e5d40b in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Gui.so.5+0x6d3
Err: #44  0x7f8a71e5dff7 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Gui.so.5+0x175
Err: #45  0x7f8a71e4add4 in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Gui.so.5+0x64
Err: #46  /tmp/.mount_FreeCAszTY5r/usr/plugins/platforms/../../lib/libQt5XcbQpa.so.5(+0x5af0e) [0x7f8a6b7def0e]
Err: #47  /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/./libglib-2.0.so.0(g_main_context_dispatch+0x2e8) [0x7f8a6dd109d8]
Err: #48  /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/./libglib-2.0.so.0(+0x51c21) [0x7f8a6dd10c21]
Err: #49  /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/./libglib-2.0.so.0(g_main_context_iteration+0x2e) [0x7f8a6dd10cae]
Err: #50  0x7f8a71ae642b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Core.so.5+0x63
Err: #51  0x7f8a71ab3bc1 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Core.so.5+0x187
Err: #52  0x7f8a71ab7a39 in QCoreApplication::exec() from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libQt5Core.so.5+0x105
Err: #53  0x7f8a73ade6c0 in Gui::Application::runApplication() from /tmp/.mount_FreeCAszTY5r/usr/bin/../lib/libFreeCADGui.so+0x15b0
Err: #54  /tmp/.mount_FreeCAszTY5r/usr/bin/freecad(main+0x74d) [0x555c17b717cd]
Err: #55  /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xe7) [0x7f8a7138db97]
Err: #56  /tmp/.mount_FreeCAszTY5r/usr/bin/freecad(+0x451f) [0x555c17b7251f]
FreeCAD.log (18,437 bytes)   
FreeCAD 0.19_327.png (110,231 bytes)   
FreeCAD 0.19_327.png (110,231 bytes)   

Doom-fr

2019-12-15 18:19

reporter   ~0013911

https://forum.freecadweb.org/viewtopic.php?f=3&t=41578

wmayer

2019-12-16 15:51

administrator   ~0013913

Issue might be fixed now. Just waiting for confirmation when new AppImage is built.

Doom-fr

2019-12-16 16:04

reporter   ~0013914

Great, I will check that.

For my information, what was the problem ? I am curious !

D.

Kunda1

2019-12-16 21:02

administrator   ~0013916

Last edited: 2019-12-16 21:02

View 2 revisions

[quote=Doom-fr]For my information, what was the problem ? I am curious ![/quote]

@Doom-fr see https://forum.freecadweb.org/viewtopic.php?f=3&t=41578&p=354304#p354304

Kunda1

2020-01-07 16:45

administrator   ~0014007

@Doom-fr is this issue fixed then ?

Doom-fr

2020-01-07 22:35

reporter   ~0014013

Sorry for my late answer, but yes, it has been fixed.
FreeCAD_0.19-19160-Linux-Conda_Py3Qt5_glibc2.12-x86_64.AppImage works great.
Many thanks.

Doom-fr

2020-01-07 22:36

reporter   ~0014014

And sorry, but can't answer you without re-opening the issue.

Kunda1

2020-01-08 16:31

administrator   ~0014017

Thanks. Closing ticket

Related Changesets

FreeCAD: master 2c13387c

2019-12-16 14:26:34

wmayer

Details Diff
issue 0004225: FreeCAD crash when making draft in PartDesign [skip ci] Affected Issues
0004225
mod - src/Mod/PartDesign/App/FeatureDraft.cpp Diff File

Issue History

Date Modified Username Field Change
2019-12-15 18:18 Doom-fr New Issue
2019-12-15 18:18 Doom-fr File Added: protection_thermoformage_v0.FCStd
2019-12-15 18:18 Doom-fr File Added: Bug draft freecad - console.txt
2019-12-15 18:18 Doom-fr File Added: FreeCAD.log
2019-12-15 18:18 Doom-fr File Added: FreeCAD 0.19_327.png
2019-12-15 18:19 Doom-fr Note Added: 0013911
2019-12-15 18:24 Doom-fr Severity block => crash
2019-12-15 18:24 Doom-fr Description Updated View Revisions
2019-12-15 18:24 Doom-fr Steps to Reproduce Updated View Revisions
2019-12-15 18:24 Doom-fr FreeCAD Information OS: Ubuntu 18.04.3 LTS (ubuntu:GNOME/ubuntu) Word size of OS: 64-bit Word size of FreeCAD: 64-bit Version: 0.19.18846 (Git) AppImage Build type: Release Branch: master Hash: ceeb776fff25c679752571d5d8e6c4c8b1fd9008 Python version: 3.7.3 Qt version: 5.1... => OS: Ubuntu 18.04.3 LTS (ubuntu:GNOME/ubuntu) Word size of OS: 64-bit Word size of FreeCAD: 64-bit Version: 0.19.18846 (Git) AppImage Build type: Release Branch: master Hash: ceeb776fff25c679752571d5d8e6c4c8b1fd9008 Python version: 3.7.3 Qt vers...
2019-12-15 18:45 openBrain Description Updated View Revisions
2019-12-15 18:46 openBrain Tag Attached: appimage
2019-12-16 14:27 wmayer Changeset attached => FreeCAD master 2c13387c
2019-12-16 15:10 openBrain Assigned To => wmayer
2019-12-16 15:10 openBrain Status new => assigned
2019-12-16 15:51 wmayer Status assigned => feedback
2019-12-16 15:51 wmayer Note Added: 0013913
2019-12-16 16:04 Doom-fr Note Added: 0013914
2019-12-16 16:04 Doom-fr Status feedback => assigned
2019-12-16 21:02 Kunda1 Note Added: 0013916
2019-12-16 21:02 Kunda1 Note Edited: 0013916 View Revisions
2019-12-31 12:50 wmayer Status assigned => resolved
2019-12-31 12:50 wmayer Resolution open => fixed
2019-12-31 12:50 wmayer Fixed in Version => 0.19
2020-01-07 16:45 Kunda1 Note Added: 0014007
2020-01-07 22:35 Doom-fr Status resolved => feedback
2020-01-07 22:35 Doom-fr Resolution fixed => reopened
2020-01-07 22:35 Doom-fr Note Added: 0014013
2020-01-07 22:36 Doom-fr Note Added: 0014014
2020-01-07 22:36 Doom-fr Status feedback => assigned
2020-01-08 16:31 Kunda1 Status assigned => closed
2020-01-08 16:31 Kunda1 Note Added: 0014017